Update Schedule
curl --request PATCH \
--url https://api.eesi.ai/v1/care/schedules/{schedule_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"call_time": "<string>",
"days_of_week": [
123
],
"enabled": true,
"max_attempts": 3,
"retry_delay_minutes": 62
}
'import requests
url = "https://api.eesi.ai/v1/care/schedules/{schedule_uuid}"
payload = {
"label": "<string>",
"call_time": "<string>",
"days_of_week": [123],
"enabled": True,
"max_attempts": 3,
"retry_delay_minutes": 62
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
call_time: '<string>',
days_of_week: [123],
enabled: true,
max_attempts: 3,
retry_delay_minutes: 62
})
};
fetch('https://api.eesi.ai/v1/care/schedules/{schedule_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule_uuid": "<string>",
"label": "<string>",
"call_time": "<string>",
"days_of_week": [
123
],
"enabled": true,
"max_attempts": 123,
"retry_delay_minutes": 123,
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Update Schedule
PATCH
/
v1
/
care
/
schedules
/
{schedule_uuid}
Update Schedule
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Path Parameters
Body
application/json
Required string length:
1 - 128Pattern:
^(?:[01]\d|2[0-3]):[0-5]\d$Required array length:
1 - 7 elementsRequired range:
1 <= x <= 5Required range:
5 <= x <= 120Response
Successful Response